[Pkg-virtualbox-commits] r173 - in trunk/debian: . patches

meskes at alioth.debian.org meskes at alioth.debian.org
Tue Jan 1 13:28:02 UTC 2008


Author: meskes
Date: 2008-01-01 13:28:02 +0000 (Tue, 01 Jan 2008)
New Revision: 173

Added:
   trunk/debian/patches/02-module-in-kernel.dpatch
Removed:
   trunk/debian/patches/02-host-module.dpatch
Modified:
   trunk/debian/changelog
   trunk/debian/patches/00list
   trunk/debian/patches/08-module-build.dpatch
   trunk/debian/rules
   trunk/debian/virtualbox-ose-guest-source.dirs
   trunk/debian/virtualbox-ose-guest-source.install
   trunk/debian/virtualbox-ose-guest-source.links
Log:
* Changed layout of guest-sources package to not have to patch the Makefile.
* Changed patch accordingly.
* Removed old 02-host-module patch, it wasn't needed anymore.
* Added new patch 02-module-in-kernel to make sure modules build in a kernel
  build environment.



Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/changelog	2008-01-01 13:28:02 UTC (rev 173)
@@ -21,6 +21,11 @@
   * g++-multilib on amd64 depends on libc6-dev-i386, no need to specify both
     as build dependency.
   * Manually install missing include files for guest-sources.
+  * Changed layout of guest-sources package to not have to patch the Makefile.
+  * Changed patch accordingly.
+  * Removed old 02-host-module patch, it wasn't needed anymore.
+  * Added new patch 02-module-in-kernel to make sure modules build in a kernel
+    build environment.
 
   [ Hilko Bengen ]
   * Make dh_strip ignore symlink(s) in /usr/share
@@ -32,7 +37,7 @@
   * Syncronising Uploaders of control with control.module.in.
   * Rediffed all patches properly.
 
- -- Michael Meskes <meskes at debian.org>  Sun, 30 Dec 2007 14:45:07 +0100
+ -- Michael Meskes <meskes at debian.org>  Tue, 01 Jan 2008 14:26:51 +0100
 
 virtualbox-ose (1.5.2-dfsg2-7) unstable; urgency=low
 

Modified: trunk/debian/patches/00list
===================================================================
--- trunk/debian/patches/00list	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/patches/00list	2008-01-01 13:28:02 UTC (rev 173)
@@ -1,5 +1,5 @@
 01-no-64bit-guest.dpatch
-02-host-module.dpatch
+02-module-in-kernel.dpatch
 03-config-kmk.dpatch
 04-localconf-kmk.dpatch
 05-vboxdrv-references.dpatch

Deleted: trunk/debian/patches/02-host-module.dpatch
===================================================================
--- trunk/debian/patches/02-host-module.dpatch	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/patches/02-host-module.dpatch	2008-01-01 13:28:02 UTC (rev 173)
@@ -1,18 +0,0 @@
-#!/bin/sh /usr/share/dpatch/dpatch-run
-## 02-host-module.dpatch by Torsten Werner <twerner at debian.org>
-##
-## DP: Added KERN_DIR to the HostDrivers Makefile.
-
- at DPATCH@
-
-diff -Naurp virtualbox-ose-1.5.4-dfsg.orig/src/VBox/HostDrivers/Support/linux/Makefile virtualbox-ose-1.5.4-dfsg/src/VBox/HostDrivers/Support/linux/Makefile
---- virtualbox-ose-1.5.4-dfsg.orig/src/VBox/HostDrivers/Support/linux/Makefile	2007-10-12 21:19:22.000000000 +0000
-+++ virtualbox-ose-1.5.4-dfsg/src/VBox/HostDrivers/Support/linux/Makefile	2007-12-30 06:29:05.000000000 +0000
-@@ -59,6 +59,7 @@ endif
- ifneq ($(MAKECMDGOALS),clean)
- 
- # kernel base directory
-+KERN_DIR := $(KDIR)
- ifndef KERN_DIR
-  # build for the current kernel, version check
-  KERN_DIR := /lib/modules/$(shell uname -r)/build

Added: trunk/debian/patches/02-module-in-kernel.dpatch
===================================================================
--- trunk/debian/patches/02-module-in-kernel.dpatch	                        (rev 0)
+++ trunk/debian/patches/02-module-in-kernel.dpatch	2008-01-01 13:28:02 UTC (rev 173)
@@ -0,0 +1,213 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 02-module-in-kernel.dpatch by Michael Meskes <meskes at debian.org>
+##
+## DP: Make sure modules build in a kernel build environment.
+
+ at DPATCH@
+
+--- virtualbox-ose-1.5.4-dfsg/src/VBox/Additions/linux/sharedfolders/Makefile.module.orig	2007-09-24 22:13:56.000000000 +0200
++++ virtualbox-ose-1.5.4-dfsg/src/VBox/Additions/linux/sharedfolders/Makefile.module	2008-01-01 13:03:53.000000000 +0100
+@@ -38,28 +38,30 @@
+ 
+ ifneq ($(MAKECMDGOALS),clean)
+ 
+-# kernel base directory
+-ifndef KERN_DIR
+- KERN_DIR := /lib/modules/$(shell uname -r)/build
+- ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-  KERN_DIR := /usr/src/linux
++ifeq ($(KERNELRELEASE),)
++ # kernel base directory
++ ifndef KERN_DIR
++  KERN_DIR := /lib/modules/$(shell uname -r)/build
+   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-   $(error Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.)
++   KERN_DIR := /usr/src/linux
++   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
++    $(error Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.)
++   endif
++   $(warning Warning: using /usr/src/linux as the source directory of your Linux kernel. If this is not correct, specify KERN_DIR=<directory> and run Make again.)
++  endif
++ else
++  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
++   $(error Error: KERN_DIR does not point to a directory.)
+   endif
+-  $(warning Warning: using /usr/src/linux as the source directory of your Linux kernel. If this is not correct, specify KERN_DIR=<directory> and run Make again.)
+- endif
+-else
+- ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-  $(error Error: KERN_DIR does not point to a directory.)
+  endif
+-endif
+ 
+-# includes
+-ifndef KERN_INCL
+- KERN_INCL = $(KERN_DIR)/include
+-endif
+-ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
+- $(error Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.)
++ # includes
++ ifndef KERN_INCL
++  KERN_INCL = $(KERN_DIR)/include
++ endif
++ ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
++  $(error Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.)
++ endif
+ endif
+ 
+ # module install dir.
+@@ -95,7 +97,10 @@
+ # Compiler options
+ #
+ ifndef INCL
+- INCL    := -I$(KERN_INCL) $(addprefix -I, $(EXTRA_INCL))
++ ifeq ($(KERNELRELEASE),)
++  INCL    := -I$(KERN_INCL)
++ endif
++ INCL += $(addprefix -I, $(EXTRA_INCL))
+  ifndef KBUILD_EXTMOD
+   KBUILD_EXTMOD := $(shell pwd)
+  endif
+--- virtualbox-ose-1.5.4-dfsg/src/VBox/HostDrivers/Support/linux/Makefile.orig	2008-01-01 12:58:40.000000000 +0100
++++ virtualbox-ose-1.5.4-dfsg/src/VBox/HostDrivers/Support/linux/Makefile	2008-01-01 13:00:24.000000000 +0100
+@@ -58,37 +58,39 @@
+ 
+ ifneq ($(MAKECMDGOALS),clean)
+ 
+-# kernel base directory
+-ifndef KERN_DIR
+- # build for the current kernel, version check
+- KERN_DIR := /lib/modules/$(shell uname -r)/build
+- ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-  KERN_DIR := /usr/src/linux
++ifeq ($(KERNELRELEASE),)
++ # kernel base directory
++ ifndef KERN_DIR
++  # build for the current kernel, version check
++  KERN_DIR := /lib/modules/$(shell uname -r)/build
+   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-   $(error Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.)
++   KERN_DIR := /usr/src/linux
++   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
++    $(error Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.)
++   endif
++   $(warning Warning: using /usr/src/linux as the source directory of your Linux kernel. If this is not correct, specify KERN_DIR=<directory> and run Make again.)
+   endif
+-  $(warning Warning: using /usr/src/linux as the source directory of your Linux kernel. If this is not correct, specify KERN_DIR=<directory> and run Make again.)
+- endif
+- # check if versions match -- works only for later 2.6 kernels
+- VBOX_KERN_VER := $(shell $(MAKE) -sC $(KERN_DIR) kernelrelease 2> /dev/null || true)
+- ifneq ($(VBOX_KERN_VER),)
+-  ifneq ($(VBOX_KERN_VER),$(shell uname -r))
+-   $(error Error: /usr/src/linux (version $(VBOX_KERN_VER)) does not match the current kernel (version $(shell uname -r)))
++  # check if versions match -- works only for later 2.6 kernels
++  VBOX_KERN_VER := $(shell $(MAKE) -sC $(KERN_DIR) kernelrelease 2> /dev/null || true)
++  ifneq ($(VBOX_KERN_VER),)
++   ifneq ($(VBOX_KERN_VER),$(shell uname -r))
++    $(error Error: /usr/src/linux (version $(VBOX_KERN_VER)) does not match the current kernel (version $(shell uname -r)))
++   endif
++  endif
++ else
++  # build for a dedicated kernel, no version check
++  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
++   $(error Error: KERN_DIR does not point to a directory.)
+   endif
+  endif
+-else
+- # build for a dedicated kernel, no version check
+- ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-  $(error Error: KERN_DIR does not point to a directory.)
+- endif
+-endif
+ 
+-# includes
+-ifndef KERN_INCL
+- KERN_INCL = $(KERN_DIR)/include
+-endif
+-ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
+- $(error Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.)
++ # includes
++ ifndef KERN_INCL
++  KERN_INCL = $(KERN_DIR)/include
++ endif
++ ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
++  $(error Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.)
++ endif
+ endif
+ 
+ # module install dir, only for current kernel
+@@ -118,7 +120,10 @@
+ # Compiler options
+ #
+ ifndef INCL
+- INCL    := -I$(KERN_INCL) $(addprefix -I, $(EXTRA_INCL))
++ ifeq ($(KERNELRELEASE),)
++  INCL    := -I$(KERN_INCL)
++ endif
++ INCL += $(addprefix -I, $(EXTRA_INCL))
+  ifndef KBUILD_EXTMOD
+   KBUILD_EXTMOD := $(shell pwd)
+  endif
+--- virtualbox-ose-1.5.4-dfsg/src/VBox/Additions/linux/module/Makefile.module.orig	2008-01-01 13:19:09.000000000 +0100
++++ virtualbox-ose-1.5.4-dfsg/src/VBox/Additions/linux/module/Makefile.module	2008-01-01 13:20:44.000000000 +0100
+@@ -31,28 +31,30 @@
+ 
+ ifneq ($(MAKECMDGOALS),clean)
+ 
+-# kernel base directory
+-ifndef KERN_DIR
+- KERN_DIR := /lib/modules/$(shell uname -r)/build
+- ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-  KERN_DIR := /usr/src/linux
++ifeq ($(KERNELRELEASE),)
++ # kernel base directory
++ ifndef KERN_DIR
++  KERN_DIR := /lib/modules/$(shell uname -r)/build
+   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-   $(error Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.)
++   KERN_DIR := /usr/src/linux
++   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
++    $(error Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.)
++   endif
++   $(warning Warning: using /usr/src/linux as the source directory of your Linux kernel. If this is not correct, specify KERN_DIR=<directory> and run Make again.)
++  endif
++ else
++  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
++   $(error Error: KERN_DIR does not point to a directory.)
+   endif
+-  $(warning Warning: using /usr/src/linux as the source directory of your Linux kernel. If this is not correct, specify KERN_DIR=<directory> and run Make again.)
+- endif
+-else
+- ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
+-  $(error Error: KERN_DIR does not point to a directory.)
+  endif
+-endif
+ 
+-# includes
+-ifndef KERN_INCL
+- KERN_INCL = $(KERN_DIR)/include
+-endif
+-ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
+- $(error Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.)
++ # includes
++ ifndef KERN_INCL
++  KERN_INCL = $(KERN_DIR)/include
++ endif
++ ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
++  $(error Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.)
++ endif
+ endif
+ 
+ # module install dir.
+@@ -88,7 +90,10 @@
+ # Compiler options
+ #
+ ifndef INCL
+- INCL    := -I$(KERN_INCL) $(addprefix -I, $(EXTRA_INCL))
++ ifeq ($(KERNELRELEASE),)
++  INCL    := -I$(KERN_INCL)
++ endif
++ INCL += $(addprefix -I, $(EXTRA_INCL))
+  ifndef KBUILD_EXTMOD
+   KBUILD_EXTMOD := $(shell pwd)
+  endif


Property changes on: trunk/debian/patches/02-module-in-kernel.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/debian/patches/08-module-build.dpatch
===================================================================
--- trunk/debian/patches/08-module-build.dpatch	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/patches/08-module-build.dpatch	2008-01-01 13:28:02 UTC (rev 173)
@@ -1,7 +1,7 @@
 #!/bin/sh /usr/share/dpatch/dpatch-run
 ## 08-module-build.dpatch by Michael Meskes <meskes at debian.org>
 ##
-## DP: Build module correctly in linux-modules-extra.
+## DP: Build module with correct name in linux-modules-extra.
 
 @DPATCH@
 
@@ -17,15 +17,6 @@
  OBJS   = \
  	cmc.o \
  	hgcmcall.o \
-@@ -92,6 +92,8 @@ ifndef INCL
-  ifndef KBUILD_EXTMOD
-   KBUILD_EXTMOD := $(shell pwd)
-  endif
-+# make sure we have a correct path
-+ KBUILD_EXTMOD := $(subst $(MODULE),,$(KBUILD_EXTMOD))/$(MODULE)
-  INCL    += $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
-  export INCL
- endif
 diff -Naurp virtualbox-ose-1.5.4-dfsg.orig/src/VBox/Additions/linux/sharedfolders/Makefile.module virtualbox-ose-1.5.4-dfsg/src/VBox/Additions/linux/sharedfolders/Makefile.module
 --- virtualbox-ose-1.5.4-dfsg.orig/src/VBox/Additions/linux/sharedfolders/Makefile.module	2007-09-24 20:13:56.000000000 +0000
 +++ virtualbox-ose-1.5.4-dfsg/src/VBox/Additions/linux/sharedfolders/Makefile.module	2007-12-30 06:33:32.000000000 +0000
@@ -38,15 +29,6 @@
  OBJS   = \
  	vfsmod.o \
  	vfs-utils.o \
-@@ -99,6 +99,8 @@ ifndef INCL
-  ifndef KBUILD_EXTMOD
-   KBUILD_EXTMOD := $(shell pwd)
-  endif
-+# make sure we have a correct path
-+ KBUILD_EXTMOD := $(subst $(MODULE),,$(KBUILD_EXTMOD))/$(MODULE)
-  INCL    += $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
-  export INCL
- endif
 diff -Naurp virtualbox-ose-1.5.4-dfsg.orig/src/VBox/HostDrivers/Support/linux/Makefile virtualbox-ose-1.5.4-dfsg/src/VBox/HostDrivers/Support/linux/Makefile
 --- virtualbox-ose-1.5.4-dfsg.orig/src/VBox/HostDrivers/Support/linux/Makefile	2007-10-12 21:19:22.000000000 +0000
 +++ virtualbox-ose-1.5.4-dfsg/src/VBox/HostDrivers/Support/linux/Makefile	2007-12-30 06:33:32.000000000 +0000

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/rules	2008-01-01 13:28:02 UTC (rev 173)
@@ -122,6 +122,7 @@
 	# These files have incorrect permissions, fixing it.
 	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules
 	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules
+	dh_link -i
 	# Create .tar.bz2 for virtualbox*source
 	cd debian/$(psource)/usr/src && \
 		tar -cjf $(sname).tar.bz2 modules && \
@@ -129,7 +130,6 @@
 	cd debian/$(gsource)/usr/src && \
 		tar -cjf $(gname).tar.bz2 modules && \
 		rm -rf modules
-	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_gencontrol -i

Modified: trunk/debian/virtualbox-ose-guest-source.dirs
===================================================================
--- trunk/debian/virtualbox-ose-guest-source.dirs	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/virtualbox-ose-guest-source.dirs	2008-01-01 13:28:02 UTC (rev 173)
@@ -1 +1,5 @@
 usr/src/modules/virtualbox-ose-guest/debian
+usr/src/modules/virtualbox-ose-guest/include/iprt
+usr/src/modules/virtualbox-ose-guest/include/VBox
+usr/src/modules/virtualbox-ose-guest/include/internal
+usr/src/modules/virtualbox-ose-guest/r0drv/linux

Modified: trunk/debian/virtualbox-ose-guest-source.install
===================================================================
--- trunk/debian/virtualbox-ose-guest-source.install	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/virtualbox-ose-guest-source.install	2008-01-01 13:28:02 UTC (rev 173)
@@ -1,11 +1,23 @@
-out/bin/additions/src/vboxadd /usr/src/modules/virtualbox-ose-guest
-out/bin/src/include/iprt/heap.h /usr/src/modules/virtualbox-ose-guest/vboxadd/include/iprt
-out/bin/src/include/iprt/spinlock.h /usr/src/modules/virtualbox-ose-guest/vboxadd/include/iprt
+out/bin/additions/src/vboxadd/*.* /usr/src/modules/virtualbox-ose-guest/vboxadd
+out/bin/additions/src/vboxadd/build_in_tmp /usr/src/modules/virtualbox-ose-guest/vboxadd
+out/bin/additions/src/vboxadd/Makefile /usr/src/modules/virtualbox-ose-guest/vboxadd
 
-out/bin/additions/src/vboxvfs /usr/src/modules/virtualbox-ose-guest
-out/bin/src/include/iprt/heap.h /usr/src/modules/virtualbox-ose-guest/vboxvfs/include/iprt
-out/bin/src/include/iprt/spinlock.h /usr/src/modules/virtualbox-ose-guest/vboxvfs/include/iprt
+out/bin/additions/src/vboxvfs/*.* /usr/src/modules/virtualbox-ose-guest/vboxvfs
+out/bin/additions/src/vboxvfs/build_in_tmp /usr/src/modules/virtualbox-ose-guest/vboxvfs
+out/bin/additions/src/vboxvfs/Makefile /usr/src/modules/virtualbox-ose-guest/vboxvfs
 
+out/bin/additions/src/vboxadd/include/iprt/* /usr/src/modules/virtualbox-ose-guest/include/iprt
+out/bin/src/include/iprt/heap.h /usr/src/modules/virtualbox-ose-guest/include/iprt
+out/bin/src/include/iprt/spinlock.h /usr/src/modules/virtualbox-ose-guest/include/iprt
+out/bin/additions/src/vboxadd/include/VBox/* /usr/src/modules/virtualbox-ose-guest/include/VBox
+out/bin/additions/src/vboxadd/include/internal/* /usr/src/modules/virtualbox-ose-guest/include/internal
+
+out/bin/additions/src/vboxvfs/include/iprt/* /usr/src/modules/virtualbox-ose-guest/include/iprt
+out/bin/additions/src/vboxvfs/include/VBox/* /usr/src/modules/virtualbox-ose-guest/include/VBox
+out/bin/additions/src/vboxvfs/include/internal/* /usr/src/modules/virtualbox-ose-guest/include/internal
+
+out/bin/additions/src/vboxadd/r0drv /usr/src/modules/virtualbox-ose-guest/
+
 debian/control debian/changelog debian/copyright debian/compat /usr/src/modules/virtualbox-ose-guest/debian
 debian/virtualbox-ose-guest-source.files/Makefile /usr/src/modules/virtualbox-ose-guest
 debian/virtualbox-ose-guest-source.files/control.modules.in /usr/src/modules/virtualbox-ose-guest/debian

Modified: trunk/debian/virtualbox-ose-guest-source.links
===================================================================
--- trunk/debian/virtualbox-ose-guest-source.links	2007-12-30 13:54:46 UTC (rev 172)
+++ trunk/debian/virtualbox-ose-guest-source.links	2008-01-01 13:28:02 UTC (rev 173)
@@ -1 +1,5 @@
 /usr/share/modass/packages/default.sh   /usr/share/modass/overrides/virtualbox-ose-guest-source
+/usr/src/modules/virtualbox-ose-guest/r0drv /usr/src/modules/virtualbox-ose-guest/vboxadd/r0drv 
+/usr/src/modules/virtualbox-ose-guest/r0drv /usr/src/modules/virtualbox-ose-guest/vboxvfs/r0drv 
+/usr/src/modules/virtualbox-ose-guest/include /usr/src/modules/virtualbox-ose-guest/vboxadd/include 
+/usr/src/modules/virtualbox-ose-guest/include /usr/src/modules/virtualbox-ose-guest/vboxvfs/include 




More information about the Pkg-virtualbox-commits mailing list